{% extends "/default/default.twig" %}
{% block title %}Lista utenti{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-md-12">
            <h1 class="titleHeader">Lista utenti</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="dataTable_wrapper">
                <table id="dataTables-utente" class="table table-striped table-bordered table-hover table-responsive" width="100%">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>nome</th>
                            <th>cognome</th>
                            <th width="10px">attivo</th>
                            <th width="20px"></th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

    <div id="modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script>
        var status;
        $('#dataTables-utente').DataTable( {
            processing: true,
            serverSide: true,
            ajax: {
                url: '{{dirDefault}}/utente/load_lista',
                type: 'POST'
            },
            stateSave: true,
            columns: [
                {
                    "class":          "id_utente",
                    "orderable":      true,
                    "data":           "id_utente",
                    "defaultContent": ""
                },
                {
                    "class":          "nome",
                    "orderable":      true,
                    "data":           "nome_utente",
                    "defaultContent": ""
                },
                {
                    "class":          "cognome",
                    "orderable":      true,
                    "data":           "cognome_utente",
                    "defaultContent": ""
                },
                {
                    "class":          "attivo",
                    "orderable":      true,
                    "data":           "attivo",
                    "defaultContent": "",
                    "render": function (data, type, row ) {

                        if(data == 1){
                            //bollino verde
                            class_circle = "btn-success";
                        }else{
                            //bollino rosso
                            class_circle = "btn-danger";
                        }

                        return "<button type='button' class='btn "+ class_circle +" btn-circle cursor_default'></button>";

                    }
                },
                {
                    "class":          "id_utente",
                    "orderable":      true,
                    "data":           "id_utente",
                    "defaultContent": "",
                    "render": function (data, type, row ) {
                        return "<button  onclick='showTerritori("+data+")' type='button' class='showTerritori btn btn-primary'>Territori</button>";

                    }
                }
            ],
            order: [
                [1, 'asc'],
            ]
        });

       function showTerritori(id_utente){
           var content = '<table>';
           var request = $.ajax({
               method: "post",
               url: "{{dirDefault}}/utente/territori/"+id_utente,
               dataType: "json"
           });
           request.done(function (resp) {

               for(i in resp) {
                   content += "<tr>" +
                           "<td width='200px' ><strong>" + resp[i].nome_territorio + "</strong></td>" +
                           "<td width='200px' >Assegnato il " + resp[i].data_out + "</td>" +
                           "<td width='200px' ><a class='btn btn-primary' href='{{dirDefault}}/territorio/dettagli/movimenti/" + resp[i].id_territorio + "'>Territorio</a></td>" +
                           "</tr>";



               }
               content += '</table>';
               $(".modal-title").html("Territori assegnati");
               $(".modal-body").html(content);
               $("#modal").modal("show");
           });
       }
</script>
{% endblock %}